%define version 0.14
%define release %mkrel 4
%define oldname gaim-libnotify

Summary:       Popup for Pidgin via libnotify and the notification-daemon
Name:          pidgin-libnotify
Version:       %{version}
Release:       %{release}
License:       GPL
Group:         Networking/Instant messaging
URL:           http://gaim-libnotify.sourceforge.net/
Source:        http://prdownloads.sourceforge.net/%{oldname}/%{name}-%{version}.tar.bz2
Patch1:        indicate.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pidgin-devel
BuildRequires: gtk2-devel
BuildRequires: gettext-devel
BuildRequires: libsm-devel
BuildRequires: libnotify-devel
BuildRequires: libindicate-gtk-devel
BuildRequires: autoconf2.5
BuildRequires: intltool
Requires:      pidgin

Obsoletes:     %{oldname}
Provides:      %{oldname}

%description
This plugin adds a libnotify interface to pidgin, enabling popups much like 
guifications. It has some configuration options, to show popups when a 
buddy signs on, on new messages and on new conversations only.

libnotify and notify-daemon aren't stable yet, so it's all very experimental.

Don't forget to enable the plugin in Tools->Plugins.

%prep
%setup -q
%apply_patches
libtoolize --copy --force; aclocal; autoconf --force

%build
%configure2_5x --disable-deprecated
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %name
# remove files not bundled
rm -f %{buildroot}%{_libdir}/purple-2/*.{la,a}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README
%{_libdir}/purple-2/*.so


%changelog
* Mon May 31 2010 John Balcaen <mikala@mandriva.org> 0.14-4mdv2010.1
+ Revision: 546767
- Fix buildrequires (libindicate-gtk-devel instead of libindicate-devel)

* Mon Dec 14 2009 Colin Guthrie <cguthrie@mandriva.org> 0.14-3mdv2010.1
+ Revision: 478522
- Liberate Ubuntu patch for libindicate support.
- Remove old patch no longer compatible with libindicate support

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.14-2mdv2010.0
+ Revision: 441850
- rebuild

* Sat Feb 21 2009 Götz Waschk <waschk@mandriva.org> 0.14-1mdv2009.1
+ Revision: 343744
- new version
- drop patch 0

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.13-7mdv2009.0
+ Revision: 259035
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.13-6mdv2009.0
+ Revision: 246959
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 28 2007 Colin Guthrie <cguthrie@mandriva.org> 0.13-4mdv2008.1
+ Revision: 113696
- Add a couple patches from Ubuntu pkg to fix show button and expose a preference.

* Wed Oct 03 2007 Funda Wang <fwang@mandriva.org> 0.13-3mdv2008.0
+ Revision: 95082
- rebuild for pidgin 2.2.1

* Mon Aug 06 2007 Colin Guthrie <cguthrie@mandriva.org> 0.13-2mdv2008.0
+ Revision: 59555
- Rebuild against latest pidgin/purple

* Sun Jul 01 2007 Götz Waschk <waschk@mandriva.org> 0.13-1mdv2008.0
+ Revision: 46298
- new version
- drop patch

* Fri May 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.12-1mdv2008.0
+ Revision: 22169
- Import pidgin-libnotify

